const

  // basic
  RT_MANIFEST = 24;

  // dialogs
  DLG_VERSION_INFO = 3;
  DLG_DUMP_REPORT = 4;
  DLG_PROGRESS = 5;

  // version dialog controls
  LBL_VER_INFO = 31;
  LBL_VER_STATUS = 32;
  BTN_VER_DOWNLOAD = 33;
  BTN_VER_CLOSE_DIALOG = 34;

  // report dialog controls
  LBL_ADDRESS = 41;
  EDIT_ADDRESS = 42;
  LBL_DESCRIPTION = 43;
  EDIT_DESCRIPTION = 44;
  BTN_SAVE_REPORT = 45;
  BTN_SEND_REPORT = 46;
  BTN_CANCEL_REPORT = 47;

  // progress dialog controls
  LBL_WRITE_DUMP = 51;
  PB_WRITE_DUMP = 52;

  // string resources
  STR_ATTACHED = 1;
  STR_SNAPSHOT = 2;
  STR_SYSTEM_MENU = 3;
  STR_SAVE_REPORT = 4;
  STR_REPORT_ERROR = 5;
  STR_REPORT_SAVED = 6;
  STR_REPORT_QUEUED = 7;
  STR_UPDATE_REMOTE_ERROR = 8;
  STR_UPDATE_LOCAL_ERROR = 9;
  STR_UPDATE_CURRENT = 10;
  STR_UPDATE_STATUS = 11;
  STR_SEND_MESSAGE_HINT = 12;
  STR_SILENT_CRASH_HINT_1 = 13;
  STR_SILENT_CRASH_HINT_2 = 14;
  STR_SILENT_CRASH_HINT_3 = 15;
  STR_SILENT_CRASH_HINT_4 = 16;
  STR_SILENT_CRASH_HINT_5 = 17;
  STR_DISABLED_SUCCESS = 18;
  STR_ENABLED_SUCCESS = 19;
  STR_RESTART_HINT = 20;
  STR_FAILURE = 21;


  // language offset
  OFFSET_LANGUAGE = 100;

  // language indices
  LID_EN = 0;
  LID_DE = 1;
  LID_FR = 2;
  LID_IT = 3;

  // specific offsets
  STR_EN = LID_EN * OFFSET_LANGUAGE;
  STR_DE = LID_DE * OFFSET_LANGUAGE;
  STR_FR = LID_FR * OFFSET_LANGUAGE;
  STR_IT = LID_IT * OFFSET_LANGUAGE;

